Rated 1 out of 5 stars

NON compatible with firefox

This review is for a previous version of the add-on (1.4.24).